#include "me_iostm8s003f3.h"
#include "uart.h"

void delay (void)
{
  long int Counter = 100000;
  while (Counter--);
}

#pragma vector = UART1_R_RXNE_vector
__interrupt void UART1_R_RXNE_IRQHandler (void)
{
  unsigned char rec;
  BEEP_CSR.BEEPEN = 0;
  rec =  uart_get_char();
  BEEP_CSR.BEEPDIV = (rec & 0x1F);
}

void main( void )
{
  unsigned char note = 0;
   CLK_CKDIVRA = 0x00;
   CLK_PCKENR1 = 0xFF; // Enable peripherals
  
  unsigned int LSIFreqKHz = 128; // KHz
  unsigned int A = LSIFreqKHz >> 3; /* Division by 8, keep integer part only */;
  
  /* Calculation of BEEPER calibration value */
  BEEP_CSR.BEEPDIV = 0x01;
  BEEP_CSR.BEEPDIV |= (A - 2);
  
  uart_init ();
  UART1_CR2.RIEN = 1; // enable RX interrupt
  asm("rim");  

  

  
  /* Select the output frequency */
  BEEP_CSR.BEEPSEL = 0;
  
  while (1){
  BEEP_CSR.BEEPEN = 1;
  delay();
  BEEP_CSR.BEEPEN = 0;
  note += 1;
  BEEP_CSR.BEEPDIV = (note & 0x1F);
  delay();
  }

}
